Bug 1062011 - Overall Statistics show incorrect number of translators.
Overall Statistics show incorrect number of translators.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-05 22:58 EST by David Mason
Modified: 2014-03-20 01:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140218-0947)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2014-02-05 22:58:15 EST
Description of problem:
In 'Overall Statistics' in the admin section, the number of translators does not correlate with either the number of users with role 'translator' or the number of language team members with translator permission.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Sign in with an admin account
2. Under Administration, open Overall Statistics
3. In another tab, open the user management page


Actual results:
Number of translators shown is different from the number of users with role "translator"

Expected results:
Number of translators is the same as the number of users with the role "translator", or with the number of people who have translation permission in a language team. The number of translators statistic should have accompanying information indicting what the number represents.
Comment 1 Alex Eng 2014-02-10 18:42:21 EST
Pull request:
https://github.com/zanata/zanata-server/pull/365
Comment 2 Sean Flanigan 2014-02-14 02:50:42 EST
This is already merged, so we'd better verify it for 3.2 or back it out.
Comment 3 Sean Flanigan 2014-02-14 02:57:45 EST
(In reply to Sean Flanigan from comment #2)
> This is already merged, so we'd better verify it for 3.2 or back it out.

I mean 3.3.
Comment 4 Damian Jansen 2014-02-17 19:01:56 EST
Verified at 1bf60cc19d6941929f586c3e8d62390fbb41644d
Comment 5 Sean Flanigan 2014-03-20 01:47:44 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.